Bug 114303 - samba panic in ldap_msgfree
Summary: samba panic in ldap_msgfree
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-26 14:30 UTC by Bastien Nocera
Modified: 2014-08-31 23:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 23:47:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Samba configuration file (1.69 KB, text/plain)
2004-01-26 14:30 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2004-01-26 14:30:12 UTC
A crash during normal usage of Samba 3.0.2rc1 (from bug #111719).
The server is setup to use Active Directory for authentication,
smb.conf attached below.

Dec 10 11:56:12 srvlin smbd[7581]: [2003/12/10 11:56:12, 0]
lib/util.c:smb_panic(1422)
Dec 10 11:56:12 srvlin smbd[7581]:   PANIC: internal error
Dec 10 11:56:12 srvlin smbd[7581]: [2003/12/10 11:56:12, 0]
lib/util.c:smb_panic(1429)
Dec 10 11:56:12 srvlin smbd[7581]:   BACKTRACE: 23 stack frames:
Dec 10 11:56:12 srvlin smbd[7581]:    #0 smbd(smb_panic+0x11c) [0x81bbedc]
Dec 10 11:56:12 srvlin smbd[7581]:    #1 smbd [0x81aa652]
Dec 10 11:56:12 srvlin smbd[7581]:    #2 /lib/tls/libc.so.6 [0xb725dc08]
Dec 10 11:56:12 srvlin smbd[7581]:    #3 /lib/tls/libc.so.6 [0xb72a838a]
Dec 10 11:56:12 srvlin smbd[7581]:    #4
/lib/tls/libc.so.6(__libc_realloc+0x106) [0xb72a6dc6]
Dec 10 11:56:12 srvlin smbd[7581]:    #5 smbd(Realloc+0x80) [0x81bb050]
Dec 10 11:56:19 srvlin smbd[7582]:    #0 smbd(smb_panic+0x11c) [0x81bbedc]
Dec 10 11:56:19 srvlin smbd[7582]:    #1 smbd [0x81aa652]
Dec 10 11:56:19 srvlin smbd[7582]:    #2 /lib/tls/libc.so.6 [0xb725dc08]
Dec 10 11:56:19 srvlin smbd[7582]:    #3 /lib/tls/libc.so.6 [0xb72a7769]
Dec 10 11:56:19 srvlin smbd[7582]:    #4
/lib/tls/libc.so.6(malloc+0x8d) [0xb72a6b0d]
Dec 10 11:56:19 srvlin smbd[7582]:    #5 smbd(Realloc+0xd7) [0x81bb0a7]
Dec 10 11:56:19 srvlin smbd[7582]:    #6 smbd [0x80abb8a]
Dec 10 11:56:19 srvlin smbd[7582]:    #7 smbd(reply_trans2+0x69c)
[0x80b3e4c]
Dec 10 11:56:19 srvlin smbd[7582]:    #8 smbd [0x80c7286]
Dec 10 11:56:19 srvlin smbd[7582]:    #9 smbd [0x80c7459]
Dec 10 11:56:19 srvlin smbd[7582]:    #10 smbd(process_smb+0x8f)
[0x80c766f]
Dec 10 11:56:19 srvlin smbd[7582]:    #11 smbd(smbd_process+0x167)
[0x80c82a7]
Dec 10 11:56:19 srvlin smbd[7582]:    #12 smbd(main+0x4bf) [0x822407f]
Dec 10 11:56:19 srvlin smbd[7582]:    #13
/lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb724b748]
Dec 10 11:56:19 srvlin smbd[7582]:    #14 smbd(ldap_msgfree+0x69)
[0x8076ba1]
Dec 10 11:56:19 srvlin smbd[7582]:
Dec 10 11:56:57 srvlin smbd[7586]:    #12 smbd(mangle_map+0x82)
[0x80cef02]
Dec 10 11:56:57 srvlin smbd[7586]:    #13 smbd [0x80ab80a]
Dec 10 11:56:57 srvlin smbd[7586]:    #14 smbd [0x80ac07c]
Dec 10 11:56:57 srvlin smbd[7586]:    #15 smbd(reply_trans2+0x69c)
[0x80b3e4c]
Dec 10 11:56:57 srvlin smbd[7586]:    #16 smbd [0x80c7286]
Dec 10 11:56:57 srvlin smbd[7586]:    #17 smbd [0x80c7459]
Dec 10 11:56:57 srvlin smbd[7586]:    #18 smbd(process_smb+0x8f)
[0x80c766f]
Dec 10 11:56:57 srvlin smbd[7586]:    #19 smbd(smbd_process+0x167)
[0x80c82a7]
Dec 10 11:56:57 srvlin smbd[7586]:    #20 smbd(main+0x4bf) [0x822407f]
Dec 10 11:56:57 srvlin smbd[7586]:    #21
/lib/tls/libc.so.6(__libc_start_main+0xf8) [0xb724b748]
Dec 10 11:56:57 srvlin smbd[7586]:    #22 smbd(ldap_msgfree+0x69)
[0x8076ba1]
Dec 10 11:56:57 srvlin smbd[7586]:
Dec 10 11:56:57 srvlin smbd[7587]: [2003/12/10 11:56:57, 0]
lib/fault.c:fault_report(36)
Dec 10 11:56:57 srvlin smbd[7587]:

Comment 1 Bastien Nocera 2004-01-26 14:30:49 UTC
Created attachment 97257 [details]
Samba configuration file

Comment 2 Jay Fenlason 2004-02-04 19:42:31 UTC
I've built samba-3.0.2-2rc2.3E and put RPMS at
http://people.redhat.com/fenlason/.samba  If these packages don't
clear up the problem, please submit a bug report upstream at
https://bugzilla.samba.org


Comment 6 Jay Fenlason 2004-03-17 23:43:38 UTC
I've built newer samba-3.0.2a-3 rpms and put them at
http://people.redhat.com/fenlason/.samba/*.i386.rpm  Please try them
out and tell me if they correct the problem.

Comment 7 Jay Fenlason 2004-12-02 23:47:54 UTC
No feedback in 8 months.  The updated rpms must have worked.  Closing. 


Note You need to log in before you can comment on or make changes to this bug.